ERR_ASPRINTF_ERROR_DATA(3)

NAME
ERR_asprintf_error_data - record a LibreSSL error using a formatted string

SYNOPSIS
#include <openssl/err.h>
void
ERR_asprintf_error_data(char * format, ...);

DESCRIPTION
ERR_asprintf_error_data builds a string using asprintf(3) called with the provided format and arguments. The resulting string is then associated with the error code that was most recently added. If asprintf(3) fails, the string "malloc failed" is associated instead.

ERR_asprintf_error_data is intended to be used instead of the OpenSSL functions ERR_add_error_data(3) and ERR_add_error_vdata(3).

SEE ALSO
ERR(3), ERR_put_error(3), printf(3)

HISTORY
ERR_asprintf_error_data appeared in OpenBSD 5.6 and is available in all versions of LibreSSL.